Skip to content

Create SFS

POST
/distributed_jobs/sfs/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs/sfs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "tir-file-system-2818",
"disk_size": 500
}'
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
name
required
string

Example

tir-file-system-2818
disk_size
required
integer

Example

500

Success

Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
created_by
integer
sfs_ip
string
created_at
string format: date-time
disk_size
string
size_in_gb
string
location
string
errors
object
message
string

Example

{
"code": 200,
"data": {
"id": 587,
"name": "tir-file-syste-250819155818",
"created_by": 7129,
"sfs_ip": "172.16.232.1",
"created_at": "2025-08-19T10:33:02.600024Z",
"disk_size": "250 GB",
"size_in_gb": "250 GB",
"location": "Delhi"
},
"errors": {},
"message": "SFS created successfully"
}